#include "metals.inc"
#include "textures.inc"
#include "colors.inc"
#include "shapes.inc"
#include "stones.inc"
#include "woods.inc"

global_settings {
   assumed_gamma 2.2
   // ambient_light rgb<0.3, 0.2, 0.3>
}
#declare Font="cyrvetic.ttf"
#declare Eye = union {
   cylinder {
      <0, 0, -9>,
      <0, 0, 9>,
      2
   }
   union {
      sphere {<0, 0, -9>,2}
      sphere {<0, 0, 9>,2}
   }
}
#declare Eyes = union {
   object {
      Eye
      translate <-10, 0, 10>
      rotate <0, -16, 0>
   }
   object {
      Eye
      translate <10, 0, 10>
      rotate <0, 16, 0>
   }
}

#declare Smile = union {
   difference {
      torus {23, 2}
      box {<-25, -25, -8>, <25, 25, 26>}
   }
   union {
      sphere {<sqrt(465),0,-8>,2}
      sphere {<-sqrt(465),0,-8>,2}
   }
}

#declare Face = union {
   object {
      Smile
   }
   object {
      Eyes
   }
   rotate <-90, 0, 0>
   pigment{color Yellow}
   finish {specular 1}
}

camera {
   location <-4, 11, -25>
   look_at <-4, -2, 5>
}

//light_source { <40, 400, -200> rgb 1 }
light_source {
   <-3, 12, -3>
   color White
   spotlight
   radius 1
   falloff 90
   tightness 1
   area_light <1, 0, 0>, <0, 0, 1>, 3, 3
   point_at <-4, 0, 0>
}

plane {
   <0, 2, -0.2>, -5
   texture {
      T_Wood20
   }
   pigment { quick_color red 0.4 green 0.2 }
   finish {
      specular 1
      roughness 0.02
      reflection 0.3
   }
}
box {
   < 0, -5, 0>
   < -8, 5, 0.3>
   texture {
      pigment {color Blue}
      scale 4
      finish{ ambient 0.25 }
   }
   rotate <0, 30, 0>
}

object {
   Face
   scale 0.08
   translate<-4.2, -1.8, -0.4>
   rotate <0, -30, 0>
}
text{ ttf Font
   "  THE",1, 0
   scale <2.5, 2.5, 0.2>
   translate <-7.9, 2.6, -0.4>
   rotate <0, -30, 0>
   texture {
      pigment {
         bozo
         turbulence 0.25
         color_map {
            [0, 1 color rgb <0.9, 0.75, 0.75>
                  color rgb <0.6, 0.6, 0.6> ]
         }
         scale 0.2
      }
      finish{ ambient 0.25 }
   }
}
text{ ttf Font
   "  END",1, 0
   scale <2.5, 2.5, 0.2>
   translate <-7.9, 0.4, -0.4>
   rotate <0, -30, 0>
   texture {
      pigment {
         bozo
         turbulence 0.25
         color_map {
            [0, 1 color rgb <0.9, 0.75, 0.75>
                  color rgb <0.6, 0.6, 0.6> ]
         }
         scale 0.2
      }
      finish{
         specular 1
         ambient 0.25
      }
   }
}

box {
   < 0, -5, 0>
   < -8, 5, 0.3>
   texture {
      pigment {color Blue}
      scale 4
      finish{ ambient 0.25 }
   }
   rotate <0, -30, 0>
}
